// RAM64M8: 64-deep by 8-wide Multi Port LUT RAM (Mapped to eight LUT6s)
//          UltraScale
// Xilinx HDL Language Template, version 2022.2.

RAM64M8 #(
   .INIT_A(64'h0000000000000000), // Initial contents of A Port
   .INIT_B(64'h0000000000000000), // Initial contents of B Port
   .INIT_C(64'h0000000000000000), // Initial contents of C Port
   .INIT_D(64'h0000000000000000), // Initial contents of D Port
   .INIT_E(64'h0000000000000000), // Initial contents of E Port
   .INIT_F(64'h0000000000000000), // Initial contents of F Port
   .INIT_G(64'h0000000000000000), // Initial contents of G Port
   .INIT_H(64'h0000000000000000), // Initial contents of H Port
   .IS_WCLK_INVERTED(1'b0)        // Specifies active high/low WCLK
) RAM64M8_inst (
   .DOA(DOA),     // Read port A 1-bit output
   .DOB(DOB),     // Read port B 1-bit output
   .DOC(DOC),     // Read port C 1-bit output
   .DOD(DOD),     // Read port D 1-bit output
   .DOE(DOE),     // Read port E 1-bit output
   .DOF(DOF),     // Read port F 1-bit output
   .DOG(DOG),     // Read port G 1-bit output
   .DOH(DOH),     // Read/write port H 1-bit output
   .DIA(DIA),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRA
   .DIB(DIB),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRB
   .DIC(DIC),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRC
   .DID(DID),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRD
   .DIE(DIE),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRE
   .DIF(DIF),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRF
   .DIG(DIG),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRG
   .DIH(DIH),     // RAM 1-bit data write input addressed by ADDRD,
                  //   read addressed by ADDRH
   .ADDRA(ADDRA), // Read port A 6-bit address input
   .ADDRB(ADDRB), // Read port B 6-bit address input
   .ADDRC(ADDRC), // Read port C 6-bit address input
   .ADDRD(ADDRD), // Read port D 6-bit address input
   .ADDRE(ADDRE), // Read port E 6-bit address input
   .ADDRF(ADDRF), // Read port F 6-bit address input
   .ADDRG(ADDRG), // Read port G 6-bit address input
   .ADDRH(ADDRH), // Read/write port H 6-bit address input
   .WE(WE),       // Write enable input
   .WCLK(WCLK)    // Write clock input
);

// End of RAM64M8_inst instantiation
