// SRLC32E: 32-Bit Shift Register Look-Up Table (LUT)
//          UltraScale
// Xilinx HDL Language Template, version 2022.2

SRLC32E #(
   .INIT(32'h00000000),    // Initial contents of shift register
   .IS_CLK_INVERTED(1'b0)  // Optional inversion for CLK
)
SRLC32E_inst (
   .Q(Q),     // 1-bit output: SRL Data
   .Q31(Q31), // 1-bit output: SRL Cascade Data
   .A(A),     // 5-bit input: Selects SRL depth
   .CE(CE),   // 1-bit input: Clock enable
   .CLK(CLK), // 1-bit input: Clock
   .D(D)      // 1-bit input: SRL Data
);

// End of SRLC32E_inst instantiation
