-- BUFGCTRL: General Clock Control Buffer
--           UltraScale
-- Xilinx HDL Language Template, version 2022.2

BUFGCTRL_inst : BUFGCTRL
generic map (
   INIT_OUT => 0,                   -- Initial value of BUFGCTRL output, 0-1
   PRESELECT_I0 => FALSE,           -- BUFGCTRL output uses I0 input, FALSE, TRUE
   PRESELECT_I1 => FALSE,           -- BUFGCTRL output uses I1 input, FALSE, TRUE
   -- Programmable Inversion Attributes: Specifies built-in programmable inversion on specific pins
   IS_CE0_INVERTED => '0',          -- Optional inversion for CE0
   IS_CE1_INVERTED => '0',          -- Optional inversion for CE1
   IS_I0_INVERTED => '0',           -- Optional inversion for I0
   IS_I1_INVERTED => '0',           -- Optional inversion for I1
   IS_IGNORE0_INVERTED => '0',      -- Optional inversion for IGNORE0
   IS_IGNORE1_INVERTED => '0',      -- Optional inversion for IGNORE1
   IS_S0_INVERTED => '0',           -- Optional inversion for S0
   IS_S1_INVERTED => '0',           -- Optional inversion for S1
   SIM_DEVICE => "ULTRASCALE_PLUS"  -- ULTRASCALE, ULTRASCALE_PLUS
)
port map (
   O => O,             -- 1-bit output: Clock output
   CE0 => CE0,         -- 1-bit input: Clock enable input for I0
   CE1 => CE1,         -- 1-bit input: Clock enable input for I1
   I0 => I0,           -- 1-bit input: Primary clock
   I1 => I1,           -- 1-bit input: Secondary clock
   IGNORE0 => IGNORE0, -- 1-bit input: Clock ignore input for I0
   IGNORE1 => IGNORE1, -- 1-bit input: Clock ignore input for I1
   S0 => S0,           -- 1-bit input: Clock select for I0
   S1 => S1            -- 1-bit input: Clock select for I1
);

-- End of BUFGCTRL_inst instantiation
