-- TX_BITSLICE_TRI: TX_BITSLICE_TRI for tristate using Native Mode
--                  UltraScale
-- Xilinx HDL Language Template, version 2022.2

TX_BITSLICE_TRI_inst : TX_BITSLICE_TRI
generic map (
   DATA_WIDTH => 8,                 -- Parallel data input width (4-8)
   DELAY_FORMAT => "TIME",          -- Units of the DELAY_VALUE (COUNT, TIME)
   DELAY_TYPE => "FIXED",           -- Set the type of tap delay line (FIXED, VARIABLE, VAR_LOAD)
   DELAY_VALUE => 0,                -- Output delay value setting
   INIT => '1',                     -- Defines initial O value
   IS_CLK_INVERTED => '0',          -- Optional inversion for CLK
   IS_RST_DLY_INVERTED => '0',      -- Optional inversion for RST_DLY
   IS_RST_INVERTED => '0',          -- Optional inversion for RST
   OUTPUT_PHASE_90 => "FALSE",      -- Delays the output phase by 90-degrees
   REFCLK_FREQUENCY => 300.0,       -- Specification of the reference clock frequency in MHz (200.0-2667.0)
   SIM_DEVICE => "ULTRASCALE_PLUS", -- Set the device version for simulation functionality (ULTRASCALE,
                                    -- ULTRASCALE_PLUS, ULTRASCALE_PLUS_ES1, ULTRASCALE_PLUS_ES2)
   UPDATE_MODE => "ASYNC"           -- Determines when updates to the delay will take effect (ASYNC, MANUAL,
                                    -- SYNC)
)
port map (
   BIT_CTRL_OUT => BIT_CTRL_OUT, -- 40-bit output: Output bus to BITSLICE_CONTROL
   CNTVALUEOUT => CNTVALUEOUT,   -- 9-bit output: Counter value to device logic
   TRI_OUT => TRI_OUT,           -- 1-bit output: Output to the TBYTE_IN pins of the bitslices
   BIT_CTRL_IN => BIT_CTRL_IN,   -- 40-bit input: Input bus from BITSLICE_CONTROL
   CE => CE,                     -- 1-bit input: Active-High enable increment/decrement input
   CLK => CLK,                   -- 1-bit input: Clock input
   CNTVALUEIN => CNTVALUEIN,     -- 9-bit input: Counter value input
   EN_VTC => EN_VTC,             -- 1-bit input: Enable to keep stable delay over VT
   INC => INC,                   -- 1-bit input: Increment the current delay tap setting
   LOAD => LOAD,                 -- 1-bit input: Load the CNTVALUEIN tap setting
   RST => RST,                   -- 1-bit input: Asynchronous assert, synchronous deassert
   RST_DLY => RST_DLY            -- 1-bit input: Reset the internal DELAY value to DELAY_VALUE
);

-- End of TX_BITSLICE_TRI_inst instantiation
